com.io7m.smfj.core

## Enum SMFComponentType

- java.lang.Object
- - java.lang.Enum<SMFComponentType>
  - - com.io7m.smfj.core.SMFComponentType

- All Implemented Interfaces:
    Serializable, Comparable<SMFComponentType>

      public enum SMFComponentType
      extends Enum<SMFComponentType>

  The kind of components.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ELEMENT_TYPE_FLOATING` Floating point values.
    `ELEMENT_TYPE_INTEGER_SIGNED` Signed integer values.
    `ELEMENT_TYPE_INTEGER_UNSIGNED` Unsigned integer values.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `static SMFComponentType` | `of(String name)` Return a component type for the given name.
    `static SMFComponentType` | `ofInteger(int x)` Return a component type for the given integer value.
    `int` | `toInteger()`
    `String` | `toString()`
    `static SMFComponentType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SMFComponentType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ELEMENT_TYPE_INTEGER_SIGNED

          public static final SMFComponentType ELEMENT_TYPE_INTEGER_SIGNED

      Signed integer values.

    - #### ELEMENT_TYPE_INTEGER_UNSIGNED

          public static final SMFComponentType ELEMENT_TYPE_INTEGER_UNSIGNED

      Unsigned integer values.

    - #### ELEMENT_TYPE_FLOATING

          public static final SMFComponentType ELEMENT_TYPE_FLOATING

      Floating point values.

  - ### Method Detail

    - #### values

          public static SMFComponentType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SMFComponentType c : SMFComponentType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SMFComponentType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### of

          public static SMFComponentType of(String name)

      Return a component type for the given name.
      Parameters:
        `name` - The name
      Returns:
        A component type
      Throws:
        `IllegalArgumentException` - If the name does not refer to a recognized type

    - #### ofInteger

          public static SMFComponentType ofInteger(int x)

      Return a component type for the given integer value.
      Parameters:
        `x` - The value
      Returns:
        A component type
      Throws:
        `IllegalArgumentException` - If the value does not refer to a recognized type

    - #### getName

          public String getName()

      Returns:
        The unique name of the type

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<SMFComponentType>`

    - #### toInteger

          public int toInteger()

      Returns:
        An integer value for the current component type
      See Also:
        `ofInteger(int)`

Copyright © 2017 <code@io7m.com> http://io7m.com